-- misc_utils.sql --
--
-- SQL code to define misc functions.
--
-- Copyright (c) 1998, Massimo Dal Zotto <dz@cs.unitn.it>
--
-- This file is distributed under the GNU General Public License
-- either version 2, or (at your option) any later version.

-- Return the pid of the backend.
--
create function backend_pid() returns int4
  as '$libdir/misc_utils'
  language 'C';

-- Unlisten from a relation.
--
create function "unlisten"(name) returns int4
  as '$libdir/misc_utils'
  language 'C';

-- Unlisten from all relations for this backend.
--
create function "unlisten"() returns int4
  as 'select "unlisten"(''*'')'
  language 'sql';

-- min(x,y)
--
create function min(int4,int4) returns int4
  as '$libdir/misc_utils'
  language 'C';

-- max(x,y)
--
create function max(int4,int4) returns int4
  as '$libdir/misc_utils'
  language 'C';

-- Return the number of active listeners on a relation
--
create function active_listeners(text) returns int4
  as '$libdir/misc_utils'
  language 'C';

-- end of file
